1.0b
* removed es_fastrefinery (replaced by es_skipMCP)
* added es_skipMCP - 1 = skips the MCP obj, 2 = skips the MCP objective and any objective before the MCP objective
	canyon: 
		1 -> GDF have to construct the Bridge, once constructed, strogg will spawn in their base and the MCP will
		be delivered to its final destination. GDF then have to capture the Outpost.
		
		2 -> GDF dont have to construct the Bridge and the glasshouse spawn will be available from start. Strogg will 
		spawn in their base and the MCP will be delivered to its final destination. GDF then have to capture the Outpost.
		
	outskirts:
		1 -> GDF have to blow up the barrier, once blown up, strogg will spawn in their back spawn and the MCP will
		be delivered to its final destination. GDF then have to capture the Outpost.
		
		2 -> GDF dont have to blow up the barrier. Strogg will spawn in their back spawn and the MCP will
		be delivered to its final destination. GDF then have to capture the Outpost. GDF will have to forward spawn enabled.
		
	refinery:
		1,2 -> MCP will be delivered to its final destination. GDF then have to capture the Outpost. Strogg spawn in their 
		main base.
		
	slipgate:
		1 -> GDF have to hack the slipgate, once hacked, strogg will spawn in their back spawn and the MCP will
		be delivered to its final destination. GDF then have to capture the Outpost. The GDF (snowside) forward spawn will be 
		enabled.
		
		2 -> GDF dont have to hack the slipgate. Strogg will spawn in their back spawn and the MCP will
		be delivered to its final destination. GDF then have to capture the Outpost. The GDF (snowside) forward spawn will be 
		enabled.
		
	valley:
		1 -> GDF have to construct the Bridge, once constructed, strogg will spawn in their base and the MCP will
		be delivered to its final destination. GDF then have to capture the Outpost. The Tunnel spawn will be enabled
		
		2 -> GDF dont have to construct the Bridge. Strogg will spawn in their base and the MCP will
		be delivered to its final destination. GDF then have to capture the Outpost. The Tunnel spawn will be enabled
		
* Fixed the light gray sky issue
* Fixed the demoversion number

1.0
* Fixed timerset Hud Value scaling
* added ec_drawTime [0;1] Draws the current System Time.
* added getSpawn Console Command, to display your current spawn.
* added es_stroggRespawnTime to overwrite the Strogg respawntime
* added es_gdfRespawnTime to overwrite the Gdf respawntime
* added ec_drawStats, enable / disable the new stats popup
* demos will now auto start at the end of the countdown!
* added freecamLookatPlayer command Camera Lookat Player Feature
* added freecamLookatPoint command Camera Lookat Point Feature
* added jitterLookatPlayer command Sets the right amount of jitter for a current Player
* added jitterLookatPoint command Sets the right amount of jitter for a current Point
* added setPoint command Sets a focus point for the jitter and freecam command
* added exportPoints command Export all current focus points to a file
* added importPoint command Import focus points from a file
* added exec_at_time command Exec a config file at any given frametime
* added cam command to play a ct3d cam!
* added uv_drawPlayerNames Draw PlayerName and Player ID over its head
* added uv_showOwnFragsOnly Show your very own frags only
* added uv_freecamUseLookDirect Lock the cam view directly to the player rather.
* added uv_freecamLookatOffset Offset for the FreecamLookAt pitch
* added uv_debugFreecamLookAt Prints the current origin of the camera	
* added old speclock again (speclock, specunlock, specinvite, specuninvite)
* added cointoss vote command (menu or just callvote cointoss in console)
* added es_fastRefinery. Tho, you still have to deliver the mcp :)
* added support for 12 maps @ the loading screen (was 3 maps before) thx to Scrupus
* added g_maxSTROGGFieldopDeploys Limit the number of Dark Matter Cannon / Railhowitzer / Plasmamortar turrets per team: -1 = no limit
* added g_maxGDFFieldopDeploys Limit the number of Hammer / Rockets / Artillery turrets per team: -1 = no limit

0.7
* Added es_allowStroyUpDown. Allows serveradmins to disable stroyup / down (serverside)
* Reworked the whole ranked system. Less traffic (no ingame stats requests anymore)
* No combined stats anymore. 
* Added new stat value Total Headshots
* Added live stats (gets refreshed every 20 seconds), use _stats to display them
* Stats are now also on Ranked servers available
* Added ec_endgameStats - show endgame stats in the console (end of round)
* Added es_vanillaMode - disables all ETQWPro vehicle limits / weapon spread / script objects / weapon limits / etc
* Live Stats in the gui (current accuracy, shots hit, kills ... etc etc) (bind x _stats)
* By default, all ETQWPro cvars are set to vanilla values!
* Added important people, people that helped in any way, to the credits
* Added sniper weapons to the stats page http://stats.myhannes.info (if you miss a weapon, let me know)
* Added es_satsSyncDelay (serverside) Delay in seconds between a server -> client stats sync (this is for the livestats)
* Added es_sprintstyle 3, allows to shoot while sprinting


0.6a
==Fixes==
* Force Menu stick behaviour changed. you wont be forced to the Limbo anymore when there are clients to spectate. 
* es_fastsalvage fixed. Spawns will not be autocaptured when you blow any of the 2 walls!
* g_forceLimboSpectateMenuSticky now keeps the limbo menu open upon respawn (if set to 1)
* Ranked: Reliable Messages overflow fixed
* Added serverside cvar to prevent players from syncing their stats from the server with their clients. (es_rankedSyncStatsToClient)
  NOTE: this is more or less only for debug, in case the server lags a lot. With big stats, this can lag, eventho its being
  sent with a delay now to prevent players from getting kicked because of messages overflow. If you still get kicked, inform the 
  Server Admin to set this cvar to 0, and tell me about it.
* Endgame Stats have been added again to the console. Note: On Ranked Servers this is not available. But you will have your stats
  after each Stopwatch round on none ranked servers. (Ranked servers have the webpage for stats)
* Increased Global Scripts Memory limit to 760800 bytes
  


0.6
==Fixes==
* Fixed es_allowvehicles cvar callback. If the cvar gets changed while playing, players will leave the vehicle if they have to.
* Fixed Last Objective vehicle behaviour. Players will leave the vehicle in last objective, if they have to.
* Fixed es_allowvehicle* cvar behaviour
* Fixed pause view on Repeater Servers
* es_allowvehicles 0 wont block MCP anymore
* es_autolockteams will not be reset on mapstart anymore
* Fixed supply drop exploit

==Removed==
* Endgame Stats in the console! This has a reason and will be back in another form in the next version
* es_noRecoil this is no longer available
* es_reviveStyle this is also no longer available

==Compatibility to ETQW Vanilla==
I was trying to keep every vanilla command. So your vanilla spawn scripts should also work in promod

==User Experience==
* With 0.6 I put polish on the Client aspect. That means you have now a user Menu where you can modify the important clientside settings.
* Warnings and messages will be displayed as a popup with a sound, only as a popup, or if you like it plain and simple, just as a chatline.
* GUI Parts can be resized (thx to pie)
* No reconnect is needed anymore when changing skies

==Spam Protection==
* On repeater servers, the viewers command has now a delay time. This prevents players from spamming the server and lots of traffic.

==New Features==
* es_mod_ammo_count 1 gives covert ops / medics / engineers the missing pistol clip
* added es_noObjective - maps wont end when the last objective is complete

==New Cvars==
* ec_crosshairTextSize 
* ec_gui_chatScale 
* ec_gui_compassScale 
* ec_gui_hudScale 
* ec_gui_obitScale 
* es_rankedAllowed 
* es_rankedGSP 
* es_rankedGUID 
* es_rankedMasterServer 


* Pause Behaviour
 pause - call a timeout
 pauseGame - left in due to compatibility reasons, does the same like pause 
 callTimeout - left in due to compatibility reasons, does the same like pause 
 unpause - unpauses the game again, only players from the team that paused the game can unpause it
 unpauseGame - left in due to compatibility reasons, does the same like unpause
 admin pause - admin pause the game
 admin unpause - admin unpause the game ( can even unpause games a player paused )

==CVAR Renames / Changes==
* es_allowAttackLean -> g_allowLean [0,3]
* es_unlocksprint -> g_unlockFasterSprint

==Ranked Server System==
Read more in the wiki @ http://myhannes.info/wiki

==SD Competition Mod Support==
Basically every command from SD's Mod should be working like in their MOD

==Windows Server Admins (esp Jolt Customers)==
For some yet unresolveable Issue, our compiledscripts are not working like they should.
So it can be that spawns are not working as they should or the respawn time is not always right.

If you experience any of this behaviour, be sure to message me in our forums at etqwpro.net.
You can use the workaround by settings g_useCompiledScript to 0. Then the server will compile
the scripts right when it loads the map, and it wont use our precompiled scripts!


==Dependencies: ( Linux )==
ldd gamex86.so
        linux-gate.so.1 
        libpthread.so.0
        libstdc++.so.6
        libm.so.6
        libgcc_s.so.1
        libc.so.6
        /lib/ld-linux.so.2

ldd compiledscriptx86.so 
        linux-gate.so.1
        libstdc++.so.6
        libm.so.6
        libgcc_s.so.1
        libc.so.6
        /lib/ld-linux.so.2



0.55b
==Fixes==
* Fixed es_allowvehicle cvar
* Fixed moviemod commands
* Fixed scandemo
* Autoscreenshot, taking black screens at end of round fixed
* Fixed spread for the GPMG. 
* Fixed es_fastrevives
* Auto Screenshots wont take screens while playing back a demo
* Removed Clantag from autodemo and autorecord name, since those could break the filesystem
* Fixed Third person Crosshair is not being drawn anymore
* Fixed Readyteam unreadies readied players
* Fixed crash when connecting to a TV Server

==New Features==
* Endgame Screen reworked
* Autoscreenshot reworked use (g_autoScreenshotNameFormat for name format)
* removed clantag from demo / screenshot name, since this could break the file system.
* Added ec_showSightModel - Show weapon sight model
* Added ec_showWeaponModel - Show non-sighted weapon model
* Removed ui_showGun ( see ec_showWeaponModel / ec_showSightModel ) thx to pie!
* if headshot mode enabled, no body hitsounds are being played
* Added ec_showStroggSightEffect (enable / disable the strogg sight effect)
* autoDemoRecord will now start recordíng if you enter a running game.
* autoDemoRecord will now stop recording after the review and not while review
* es_allowvehicles changed! 
	0 = forbid all	
	1 = allow all
	2 = no air vehicles (includes bumblebee, anansi, tormentor)	
	3 = no heavy vehicles (includes titan, desecrator, Cyclops)	
	4 = use the es_allowvehicle* cvars
* forbidden vehicles wont be spawned into the level! Of course for everyone's pleasure, this is not be done in warmup mode!
* Added a new Tab Page where you can adjust clientside ETQWPro cvars.

0.55a
==Fixes==
* Fixed third person Crosshair not showing up anymore 
* Fixed readyteam bug
* es_autorecord now stops at the end of round

==New Features==
* es_mod_grenade_count has been reworked. 0 = vanilla grenade count, 1 = etqwpro grenade count, 2 = 2 nades for every class, 3 = no nades
* now displaying the time that remains, until a locked vehicle is useable again!
* autorecording will now use Splashdamge's way of demo naming. (g_autoDemoNameFormat)
* Megatextures are now downloaded to the base directory, and not the mod directory

==Removed==

0.55

==Fixes==
* Fixed console being black on a high detail + enabled AA config
* possible FPS drop fix, because of new Spread Manager
* Fixed several bugs in local play mode, you should be able to actually play vs bots
* Bots wont call timeouts anymore
* Fixed the TV Chat issue

==New Features==
* added a serverside cvar (es_noRecoil) that allows no recoil on some weapons.
* Hog can kill the Titan with one hit again.
* Panzerfaust and Oblitorator make more damage against vehicles
* Custom Maps Megatexture can be downloaded directly from the server. Be sure to have a look at the Custom Content Section
* added a non context way to switch weapons. ( setWeapon <0,..,12> )
* pause not available in local play
* class / setspawnpoint commands available in local play
* added a new Console command for TV servers. (cpm "<msg>") prints a message on the server (currently in the chatarea). Happy spamming! Viewers can disable those messages with (g_noTVChat)
* Removed the projectile impact effect for the strogg weapons
* Balanced the main weapons spread wise. (they are pretty much equal now)
* Added a cvar for serverside autorecord (es_autorecord)
* Made it possible to permit shooting in a vehicle at all (es_allowAttackFromVehicles)
* Made it possible to permit dropping stryobombs from an icarus (es_allowIcarusAttack)
* Made it possible to hold/throw a nade while leaning.
* Hyperblaster will be less accurate while standing and crouching
* GPMG will be less accurate while crouching
* Added prepare to fight and fight sounds to the mod. (0.5 already) Add prepare.ogg and fight.ogg to your localized sound folder.
* Icarus will have slightly less health
* If fastsalvage enabled -> last spawn GDF 25 sec / strogg 20 sec
* Added es_unlockSprint, enables the speed upgrade from the Battlesense Award
* Added es_maxMinesPerPlayer, give the constructor / engineer x mines at spawn
* Added es_mod_grenade_count to use a modified grenade count (set to 1, and strogg/gdf only get one grenade)
* Added es_mod_ammo_count to use a modified ammo count (set to 1 and gdf get more ammo)

==Removed==
* removed es_debugspread
* removed the server TV Admin Backend.
* removed switchhud command
* removed the minhud
* removed ec_autoaction




0.5

Fixes:
- Fixed spelling typo. We now have the cyclops back
- Fixed a bug when selfkilling in a medium vehicle, the other medium vehicle stays locked!
- Fixed the issue that you couldnt move backwards while having sprint key pressed with es_sprintstyle 1
- Fixed the personals Best cvar! It will now get recognized from start on (thx for the pie reyalp)
- Fixed the Fast unscope (lean) bug. You can now do all fancy stuff @ lean, but not shoot!
- ec_skipAtmosphericEffects will now apply on the fly
- Cvar renames for Badger -> Armadillo, Goliath -> Cyclops, Hornet -> Tormentor
- Fixed that weapons got applied the wrong spread issue



New Features:

	fastsalvage -> if on  --> last spawn 30 / 20 
			      --> if off --> last spawn 30 / 15
	Basic Camtrace 3D Support see http://myhannes.info/wiki/index.php/Camtrace
	Scandemo see http://myhannes.info/wiki/index.php/Scandemo
	Tv Admin Portal see http://myhannes.info/wiki/index.php/TV_Admin_Portal
	Hitsounds are localized now see http://myhannes.info/wiki/index.php/Hitsounds
	ETQW will be slightly more accurate!
	
	Commands:
	- Added scandemo see: http://myhannes.info/wiki/index.php/Scandemo
	- Changed the console background, so names can be read better
	- Added statistics to the game. Those will be displayed after each round in the console
	- Breaking news: we can use the horn under water!
	- switchHud [0,1] 0 = vanilla hud; 1 = etqwpro hud (only for testing yet!)
	- Pause -> unpause seconds raised to 10.
	- Reworked the weapon spread
	- speclock - lock your team from spectators
	- specunlock - unlock your team from spectators
	- specinvite - invite a player to spec your team
	- specuninvite - remove a player from the invite List
	- players - show all players and their IDs
	- freecam - gets into ct3d Freecam Mode
	- setFreecamPos - sets a ct3d Camera position
	- getFreecamPos - gets a ct3d Camera position
	- startTvAdmin - start the TV Admin
	- stopTvAdmin - stop the TV Admin
	
	Cvars
	- Added ec_debugSpread -> prints a chatline what spread is being used (vanilla or etqwpro)
	- Added es_maxMines - defaults to -1, set to the max number of mines you want to allow for a team.
	- Added es_allowCrosshair3rdPerson - defaults to disabled, set to 1 for a crosshair in 3rd person view
	- Added es_allowCrateGrenades - defaults to disabled, set to 1 if you want to allow grenades to be given by crates
	- Added es_allowRadar - defaults to disabled, set to 1 if you want to allow radar
	- Added es_allowMines, es_allowThirdEye, es_allowAirStrike, es_allowFlyerDrone, all defaults to enabled, set to 0 to disable 
	- Reamed all cvars to es_ for server cvars, and ec_ for client side cvars
	- Added ec_fastRevive (ETQWPRO revive speed, defaulted to 1)
	- Added ec_fastPacks (ETQWPRO pack drops, defaulted to 0) -> no need to press a mousebutton for each drop
	- es_sprintstyle has now 3 values. 0 = vanilla, 1 = allow sprint while reload and 
	  dropping supplies, 2 = allow sprint while reload
	- ec_drawInfoMode How the user gets informed about any restrictions (entering vehicle etc)
	  0 = chatLine, 1 = Hud Popup, 2 = disabled
	- es_reviveStyle 0 = Vanilla, 1 = ETQWPro (3 seconds godmode, not moveable for 2 (mouse + keyboard) but ability to shoot)
	- g_useMapScripts reworked. 0 = disabled, 1 = mapscripts only, 2 = teamscripts only, 3 = both
	- es_headshotsOnly -> first headshot wins, only headshots will do damage
	- ec_skipSky - [0,..,3] 0 = standard sky, 1 = black sky, 2 = gray sky, 3 = light gray sky (needs to be set before the map loads.)
	- changed es_aimstyle 2 to the Vanilla lvl 3 light weapon unlock
	- tv_adminPass, tv_adminEnable, tv_adminPort
	- es_allowReadyTeam
	
ETQWTV:
	- Made g_noTVChat also clientside available
	- Added viewers command to get see who is spectating with you!
	  

0.4 

- Added a config, which should make it easier for you guys to create an own one!
- Weapon restrictions are added now
- Removed the scope effect of the strogg HUD
- If vehicles are forbidden in the last Objective stage, players will get ejected by the mod!
- Turret restrictions reworked and should work now
- Added clientside mapscripts! 
- Implemented the vehicle rules! If the cvars are set, your team dont has to check for vehicles anymore
- Added the option to permit shooting in third person. (Switching positions is still allowed)
- Current Promod version will also be available in the Server Info!
- Added an "announcement" whenever anyone connects on the server. (No sneaky specs anymore)
- g_noTVChat now also available to clients!
- screenshots are now saved into the review folder
- fixed a spread Issue when jumping an shooting


- Cvars
- g_skipPostProcess					skip SDs PostProcess, we want FPS
- g_skipAtmosphericEffects			be sure to set this to 1 before you load the map, skips rain, snow etc
- g_disableTracers					Show tracers?
- g_fastVolcano						Lets Volcano end after the generator has been blown up
- g_useMapScripts					Execs a cfg on every teamchange! mapscripts/<mapname_teamname>
- si_limitHog						Only allow one hog at the same time
- si_limitDesecrator				Only allow one Descrator at the same time
- si_limitCyclobs					Only allow one Cyclob at the same time
- si_limitTrojan					Only allow one Trojan / APC at the same time
- si_limitTitan						Only allow one Titan at the same time
- si_heavyUseDelay					Time in seconds after a killed or decay'd heavy vehicle is useable again
- si_allowTimerset					Allow the clientside ETQWPRo timer
- si_allowLastObjectiveTitan		Allow titan in the last objective
- si_allowLastObjectiveDesecrator	Allow Desecrator in the last objective
- si_allowLastObjectiveCyclobs		Allow Cyclobs in the last objective
- si_maxNukes						Maximum number of hammer / dark matter 
- si_maxMortar						Maximum number of Plasma Mortar and rockets
- si_maxArty						Maximum number of arty turrets

- Added a cvar that allows to gib bodies faster.
  si_allowFastGib - allow or denie faster gib
  si_gibScale - scale the damage a player gets when he get gibbed
  si_gibCenterDistance - how near do players have to be to instant gib players with knifes

We suggest leaving those cvars to their default values

- Added a cvar which lets you control the "aim style".
  si_aimstyle [0,...,2]
  0 = vanilla ETQW
  1 = ETQWPRO Spread Settings 
  2 = ET Spread Settings

- Added a cvar which lets you control the "movement style".
  si_sprintstyle [0,...,1]
  0 = vanilla ETQW
  1 = allow to sprint while reloading 

- Added a cvar which lets you auto lock Teams at match begin
  si_AutoLockTeams [0,...,1]

- Added a lock and unlock command which lets a client
  lock teams and prevent specs from joining!

- Added a timerset command which can be your very own
  stopwatch.

- Made respawnTimer yellow
- Stopwatch is red


0.03

- Fixed Screenshots being black at the end of the round
- Fixed a message Overflow (caused client crashes)
- Fixed spawn Select
- Fixed class selection (see later)
- Fixed ready Team (there may still be some issues)

- Removed player class (weapon) restriction (broken)

- Demos are now named like "date_time_map"
- Demos will start when countdown starts
- Demos will end as soon as the map ends or @ a match reset
- FireTeams now show Members HP
- latched Classes
- Hitsounds are really hearable now
- weapons spread adjusted


- Introduced Pause function. 
  Every team has 3 Pauses which can last 2 minutes. 
  Only Team Members and admins can unpause
  Unpause will have a delay of 5 seconds

- Introduced setSpawnPoint / setspawnpt
  setspawnpoint will print all available spawns!
  setspawnpoint <id> will let u spawn at the chose spawnpoint
  setspawnpoint -1 will let u spawn at the Frontline!

- Introduced class Command
  class <classid> <weaponid>

- ClientClass reverted back to normal
  clientClass <classname> <weaponid>

- Introduced aliases.
  pause -> pauseGame
  unpause -> unpauseGame
  readyteam -> teamReady
  setspawnpt -> setspawnPoint


0.02

- crash fixed
